# Cmput 455 sample code
# Naive negamax without any pruning
# Written by Martin Mueller

from search_basics import INFINITY

def naive_negamax(state):
    if state.endOfGame():
        return state.staticallyEvaluateForToPlay()
    best = -INFINITY
    for m in state.legalMoves():
        state.play(m)
        value = -naive_negamax(state)
        if value > best:
            best = value
        state.undoMove()
    return best
